/*
 * $Id: Parameters_msg_error.cpp 100 2009-01-08 13:06:27Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Types.h"
#include "Behavioural/Generic/Queue/include/Parameters.h"
#include <sstream>
namespace morpheo                    {
namespace behavioural {
namespace generic {
namespace queue {


#undef  FUNCTION
#define FUNCTION "Queue::msg_error"
  Parameters_test Parameters::msg_error(void)
  {
    log_printf(FUNC,Queue,FUNCTION,"Begin");

    Parameters_test test("Queue");

    if (_nb_port_slot > _size_queue)
      test.error(_("nb_port_slot must be <= size_queue\n"));

    log_printf(FUNC,Queue,FUNCTION,"End");

    return test;
  };

}; // end namespace queue
}; // end namespace generic
}; // end namespace behavioural
}; // end namespace morpheo              
